# This is the system-wide SDLMESS configuration file.
# The following entries only list OpenBSD-specific configuration
# and the options you may be the most interested in.
#
# More options are available, you can list your current configuration
# with sdlmess -showconfig.
#
# Users can also create their own mess.ini in a $HOME/.mess directory
# that can override system-wide settings.

#
# CORE SEARCH PATH OPTIONS
#
rompath                   $HOME/.mess/roms;/usr/local/share/sdlmess/roms
hashpath                  $HOME/.mess/hash;/usr/local/share/sdlmess/hash
samplepath                $HOME/.mess/samples;/usr/local/share/sdlmess/samples
artpath                   $HOME/.mess/artwork;/usr/local/share/sdlmess/artwork
ctrlrpath                 $HOME/.mess/ctrlr;/usr/local/share/sdlmess/ctrlr
inipath                   $HOME/.mess;/etc/mess
fontpath                  $HOME/.mess;/usr/local/share/sdlmess
cheatpath                 $HOME/.mess/cheat;/usr/local/share/sdlmess/cheat

#
# CORE OUTPUT DIRECTORY OPTIONS
#
cfg_directory             $HOME/.mess/cfg
nvram_directory           $HOME/.mess/nvram
memcard_directory         $HOME/.mess/memcard
input_directory           $HOME/.mess/inp
state_directory           $HOME/.mess/sta
snapshot_directory        $HOME/.mess/snap
diff_directory            $HOME/.mess/diff
comment_directory         $HOME/.mess/comments

#
# VIDEO OPTIONS
#
# Uncomment if your graphic chipset is drm(4) capable
#video                     opengl

#
# SDL KEYBOARD MAPPING
#
# If you have a non-US keyboard and your keymap is available in
# /usr/local/share/sdlmess/keymaps, modify and uncomment the following
# lines.
#keymap                    1
#keymap_file               /usr/local/share/sdlmess/keymaps/km-fr.txt
